let Parse = getApp().Parse;
const company = getApp().globalData.company
Page({

    /**
     * 页面的初始数据
     */
    data: {
        list: null,
        type: null
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        let id = options.id
        let type = options.type
        this.setData({
            id: id,
            type: type
        })
        console.log(this.data.id, this.data.type);
        // this.getCategory()
    },
    async getCategory() {
        let Category = new Parse.Query('Category')
        // Category.equalTo('store', this.data.id)
        Category.equalTo('company', company)
        Category.equalTo('type', this.data.type)
        Category.include('store')
        let category = await Category.find()
        console.log(category);
        if (category && category.length > 0) {
            let listJSON = []
            category.forEach(c => {
                listJSON.push(c.toJSON())
            })

            this.setData({
                list: listJSON
            })
        }
        console.log(this.data.list);
    },
    category() {
        let type = this.data.type
        wx.navigateTo({
            url: `/nova-tourism/pages/my/merchant/merchant-home/category/category-auit/index?type=${type}`
        });
    },
    categorys(e) {
        let id = e.currentTarget.dataset.item.objectId
        let type = this.data.type
        wx.navigateTo({
            url: `/nova-tourism/pages/my/merchant/merchant-home/category/category-auit/index?id=${id}&&type=${type}`
        });

    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        this.getCategory()
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})